Loading...
Searching...
No Matches
casacore::SystemCallError Class Reference
casa package (libcasa_casa) » Exceptions_module

Exception for an error in a system call. More...

`#include <Error.h>`

## Public Member Functions

| SystemCallError (const String &funcName, int error, Category c=GENERAL)
| This constructs a "SystemCallError" from the system call function name and the errno.
| SystemCallError (int error, const String &msg, const String &filename, uInt lineNumber, Category c=GENERAL)
| ~SystemCallError () noexcept
| Destructor which does nothing.
int | error () const
| Get the errno.
Public Member Functions inherited from casacore::AipsError
virtual const char * | what () const noexcept
| Simply returns the stored error message.
const String & | getMesg () const
String | getStackTrace () const
AipsError::Category | getCategory () const
void | setMessage (const String &msg) const
| Append a message.
| AipsError (const Char *str, Category c=GENERAL)
| Creates an AipsError and initializes the error message from the parameter.
| AipsError (const String &str, Category c=GENERAL)
| AipsError (const String &msg, const String &filename, uInt lineNumber, Category c=GENERAL)
| AipsError (Category c=GENERAL)
| ~AipsError () noexcept
| Destructor which does nothing.

## Static Public Member Functions

static String | errorMessage (int error)
| Get the message belonging to an error.
Static Public Member Functions inherited from casacore::AipsError
static void | getLastInfo (String &message, String &stackTrace)
| Get or clear the stacktrace info.
static String | getLastMessage ()
static String | getLastStackTrace ()
static void | clearLastInfo ()
static AipsError | repackageAipsError (AipsError &error, const String &message, const char *file, Int line, const char *func)
| Repackage an exception.
static void | throwIf (Bool condition, const String &message, const char *file, Int line, const char *func="")
| Throw if the condition is true.
static void | throwIfError (Int errorCode, const String &prefix, const char *file, Int line, const char *func="")
| Throw if the system error code is not 0.

## Private Attributes

int | itsError

## Additional Inherited Members

Public Types inherited from casacore::AipsError
enum | Category { BOUNDARY , INITIALIZATION , INVALID_ARGUMENT , CONFORMANCE , ENVIRONMENT , SYSTEM , PERMISSION , GENERAL }
Protected Member Functions inherited from casacore::AipsError
void | addStackTrace ()
| Add the stack trace to the message (if USE_STACKTRACE is set).
Protected Attributes inherited from casacore::AipsError
String | message
Category | category
String | stackTrace

## Detailed Description

Exception for an error in a system call.

### Intended use:

Public interface

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Synopsis

This error is to be used for if a system call returns an error. It uses strerror to get the system error message.

Definition at line 432 of file Error.h.

## Constructor & Destructor Documentation

## SystemCallError() [1/2]

casacore::SystemCallError::SystemCallError | ( | const String & | funcName,
|  | int | error,
|  | Category | c = GENERAL )

This constructs a "SystemCallError" from the system call function name and the errno.

References error(), and casacore::AipsError::GENERAL.

## SystemCallError() [2/2]

casacore::SystemCallError::SystemCallError | ( | int | error,
|  | const String & | msg,
|  | const String & | filename,
|  | uInt | lineNumber,
|  | Category | c = GENERAL )

References error(), and casacore::AipsError::GENERAL.

## ~SystemCallError()

casacore::SystemCallError::~SystemCallError | ( |  | ) |

noexcept

Destructor which does nothing.

## Member Function Documentation

## error()

int casacore::SystemCallError::error | ( |  | ) | const

inline

Get the errno.

Definition at line 446 of file Error.h.

References error(), and itsError.

Referenced by error(), errorMessage(), SystemCallError(), and SystemCallError().

## errorMessage()

String casacore::SystemCallError::errorMessage | ( | int | error | ) |

static

Get the message belonging to an error.

References error().

## Member Data Documentation

## itsError

int casacore::SystemCallError::itsError

private

Definition at line 453 of file Error.h.

Referenced by error().

The documentation for this class was generated from the following file:

- casa/Exceptions/Error.h